mvvm 0.1.1 icon indicating copy to clipboard operation
mvvm: ^0.1.1 copied to clipboard

outdated

A Flutter MVVM (Model-View-ViewModel) implementation. It establishes a connection between the view model and the view through data binding. When the data in the view model changes, the view will chang [...]

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add mvvm

With Flutter:

 $ flutter pub add mvvm

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  mvvm: ^0.1.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:mvvm/mvvm.dart';
19
likes
0
pub points
70%
popularity

A Flutter MVVM (Model-View-ViewModel) implementation. It establishes a connection between the view model and the view through data binding. When the data in the view model changes, the view will change accordingly.

Repository (GitHub)
View/report issues

License

unknown (LICENSE)

Dependencies

flutter

More

Packages that depend on mvvm